Bug 1459515 - (CVE-2017-10923, xsa225) CVE-2017-10923 xsa225 xen: arm: vgic: Out-of-bound access when sending SGIs (XSA-225)
CVE-2017-10923 xsa225 xen: arm: vgic: Out-of-bound access when sending SGIs (...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20170620,repor...
: Security
Depends On: 1463247
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-07 06:52 EDT by Adam Mariš
Modified: 2017-07-07 10:44 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2017-06-07 06:52:49 EDT
ISSUE DESCRIPTION
=================

ARM guests can send SGI (i.e. IPI) targeting a list of vCPUs using the
MMIO register GICD_SGIR (GICv2) or System Register ICC_SGI1R (GICv3).
However, the emulation code does not sanitize the list and will
directly access an array without checking whether the array index is
within bounds.

IMPACT
======

A guest may cause a hypervisor crash, resulting in a Denial of Service
(DoS).

VULNERABLE SYSTEMS
==================

Xen versions 4.6 and onwards are affected.  Xen versions 4.5 and
earlier are not affected.

Only ARM systems are affected.  x86 systems are not affected.

Mitigation:

On systems where the guest kernel is controlled by the host rather than
guest administrator, running only kernels which only send sane IPIs
(i.e. targeting valid CPUs) will prevent untrusted guest users from
exploiting this issue.  However untrusted guest administrators can
still trigger it unless further steps are taken to prevent them from
loading code into the kernel (e.g by disabling loadable modules etc) or
from using other mechanisms which allow them to run code at kernel
privilege.

External References:

http://xenbits.xen.org/xsa/advisory-225.html

Acknowledgements:

Name: the Xen project
Upstream: Julien Grall (ARM)
Comment 1 Adam Mariš 2017-06-20 08:37:05 EDT
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1463247]

Note You need to log in before you can comment on or make changes to this bug.